--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: Merb::Generators::NamespacedGenerator
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: base_name
- !ruby/object:RI::MethodSummary 
  name: base_path
- !ruby/object:RI::MethodSummary 
  name: chunks
- !ruby/object:RI::MethodSummary 
  name: class_name
- !ruby/object:RI::MethodSummary 
  name: file_name
- !ruby/object:RI::MethodSummary 
  name: full_class_name
- !ruby/object:RI::MethodSummary 
  name: module_name
- !ruby/object:RI::MethodSummary 
  name: modules
- !ruby/object:RI::MethodSummary 
  name: snake_cased_chunks
name: NamespacedGenerator
superclass: NamedGenerator
